define(["pouchdb"], function (PouchDB) {
    var db = new PouchDB("v7_7");
	db.setSchema([
		{ singular: "Aanleiding", plural: locale("Aanleiding.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Account", plural: locale("Account.plural"), relations: {"bedrijf": {belongsTo: {type: "Bedrijf", options: {async: true}}},"sessions": {hasMany: {type: "Sessie", options: {async: true}}}}},
		{ singular: "Adres", plural: locale("Adres.plural")},
		{ singular: "Afspraak", plural: locale("Afspraak.plural"), relations: {"labaanlevering": {belongsTo: {type: "Labaanlevering", options: {async: true}}}}},
		{ singular: "Afwerking", plural: locale("Afwerking.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Analyse", plural: locale("Analyse.plural"), relations: {"analysepakket": {belongsTo: {type: "AnalysePakket", options: {async: true}}}}},
		{ singular: "AnalysePakket", plural: locale("AnalysePakket.plural"), relations: {"analyses": {hasMany: {type: "Analyse", options: {async: true}}},"labaanlevering": {belongsTo: {type: "Labaanlevering", options: {async: true}}}}},
		{ singular: "AnalyseResultaat", plural: locale("AnalyseResultaat.plural"), relations: {"analysemonster": {belongsTo: {type: "LabAnalysemonster", options: {async: true}}},"component": {belongsTo: {type: "Lovcomponent", options: {async: true}}},"eenheid": {belongsTo: {type: "Loveenheid", options: {async: true}}},"referentie": {belongsTo: {type: "Lovreferentie", options: {async: true}}}}},
		{ singular: "Analysemonster", plural: locale("Analysemonster.plural"), relations: {"analysepakketten": {hasMany: {type: "AnalysePakket", options: {async: true}}},"deelmonsters": {hasMany: {type: "Deelmonster", options: {async: true}}},"labAnalysemonster": {belongsTo: {type: "LabAnalysemonster", options: {async: true}}},"labopdracht": {belongsTo: {type: "Labopdracht", options: {async: true}}}}},
		{ singular: "Artikel", plural: locale("Artikel.plural"), relations: {"categorie": {belongsTo: {type: "ArtikelCategorie", options: {async: true}}},"variabele": {belongsTo: {type: "ArtikelVariabele", options: {async: true}}}}},
		{ singular: "ArtikelCategorie", plural: locale("ArtikelCategorie.plural"), relations: {"artikelen": {hasMany: {type: "Artikel", options: {async: true}}},"bedrijf": {belongsTo: {type: "Bedrijf", options: {async: true}}}}},
		{ singular: "ArtikelVariabele", plural: locale("ArtikelVariabele.plural"), relations: {"artikel": {belongsTo: {type: "Artikel", options: {async: true}}}}},
		{ singular: "Asbest", plural: locale("Asbest.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Bedrijf", plural: locale("Bedrijf.plural"), relations: {"accounts": {hasMany: {type: "Account", options: {async: true}}},"expressions": {hasMany: {type: "RegistratieExpressie", options: {async: true}}},"klanten": {hasMany: {type: "Klant", options: {async: true}}}}},
		{ singular: "BedrijfLab", plural: locale("BedrijfLab.plural"), relations: {"bedrijf": {belongsTo: {type: "Bedrijf", options: {async: true}}},"koppelingen": {hasMany: {type: "BedrijfLabKoppeling", options: {async: true}}},"lab": {belongsTo: {type: "Lab", options: {async: true}}},"labaanleveringen": {hasMany: {type: "Labaanlevering", options: {async: true}}}}},
		{ singular: "BedrijfLabKoppeling", plural: locale("BedrijfLabKoppeling.plural"), relations: {"bedrijflab": {belongsTo: {type: "BedrijfLab", options: {async: true}}},"koppeling": {belongsTo: {type: "LabKoppeling", options: {async: true}}}}},
		{ singular: "Bijzonderheid", plural: locale("Bijzonderheid.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Bijzonderheidgradatie", plural: locale("Bijzonderheidgradatie.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Bodemlaag", plural: locale("Bodemlaag.plural"), relations: {"apparaat": {belongsTo: {type: "Boorapparaat", options: {async: true}}},"bijzonderheden": {hasMany: {type: "BodemlaagBijzonderheid", options: {async: true}}},"geuren": {hasMany: {type: "BodemlaagGeur", options: {async: true}}},"grind": {belongsTo: {type: "Grind", options: {async: true}}},"grondsoort": {belongsTo: {type: "Grondsoort", options: {async: true}}},"grondsoortMatrix": {belongsTo: {type: "GrondsoortMatrix", options: {async: true}}},"humus": {belongsTo: {type: "Humus", options: {async: true}}},"kenmerk": {belongsTo: {type: "Kenmerk", options: {async: true}}},"kleuren": {hasMany: {type: "BodemlaagKleur", options: {async: true}}},"laagsoort": {belongsTo: {type: "Laagsoort", options: {async: true}}},"lutum": {belongsTo: {type: "Lutum", options: {async: true}}},"mediaan": {belongsTo: {type: "Mediaan", options: {async: true}}},"meetpunt": {belongsTo: {type: "Meetpunt", options: {async: true}}},"oliewatermate": {belongsTo: {type: "Oliewatermate", options: {async: true}}},"schuifsterkte": {belongsTo: {type: "Schuifsterkte", options: {async: true}}},"steensoort": {belongsTo: {type: "Steensoort", options: {async: true}}}}},
		{ singular: "BodemlaagBijzonderheid", plural: locale("BodemlaagBijzonderheid.plural"), relations: {"bodemlaag": {belongsTo: {type: "Bodemlaag", options: {async: true}}},"gradatie": {belongsTo: {type: "Bijzonderheidgradatie", options: {async: true}}},"oorsprong": {belongsTo: {type: "Oorsprong", options: {async: true}}},"type": {belongsTo: {type: "Bijzonderheid", options: {async: true}}}}},
		{ singular: "BodemlaagGeur", plural: locale("BodemlaagGeur.plural"), relations: {"bodemlaag": {belongsTo: {type: "Bodemlaag", options: {async: true}}},"geur": {belongsTo: {type: "GeurWaarneming", options: {async: true}}}}},
		{ singular: "BodemlaagKleur", plural: locale("BodemlaagKleur.plural"), relations: {"bijkleur": {belongsTo: {type: "Kleur", options: {async: true}}},"bodemlaag": {belongsTo: {type: "Bodemlaag", options: {async: true}}},"hoofdkleur": {belongsTo: {type: "Kleur", options: {async: true}}},"sterkte": {belongsTo: {type: "Kleurint", options: {async: true}}}}},
		{ singular: "Bodemmonster", plural: locale("Bodemmonster.plural"), relations: {"ex_monsterverpakking": {belongsTo: {type: "ExMonsterverpakking", options: {async: true}}},"matrix": {belongsTo: {type: "Veldmatrix", options: {async: true}}},"meetpunt": {belongsTo: {type: "Meetpunt", options: {async: true}}},"veldwaarnemingen": {hasMany: {type: "Veldwaarneming", options: {async: true}}}}},
		{ singular: "Boorapparaat", plural: locale("Boorapparaat.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Casing", plural: locale("Casing.plural"), relations: {"meetpunt": {belongsTo: {type: "Meetpunt", options: {async: true}}}}},
		{ singular: "Categorie", plural: locale("Categorie.plural"), relations: {"labaanlevering": {belongsTo: {type: "Labaanlevering", options: {async: true}}}}},
		{ singular: "CoderingExportValue", plural: locale("CoderingExportValue.plural")},
		{ singular: "CoderingSet", plural: locale("CoderingSet.plural")},
		{ singular: "ContactPersoon", plural: locale("ContactPersoon.plural"), relations: {"klant": {belongsTo: {type: "Klant", options: {async: true}}}}},
		{ singular: "Debiteur", plural: locale("Debiteur.plural"), relations: {"labaanlevering": {belongsTo: {type: "Labaanlevering", options: {async: true}}}}},
		{ singular: "Deelmonster", plural: locale("Deelmonster.plural"), relations: {"analysemonster": {belongsTo: {type: "Analysemonster", options: {async: true}}},"veldmonster": {belongsTo: {type: "Veldmonster", options: {async: true}}}}},
		{ singular: "Document", plural: locale("Document.plural"), relations: {"onderzoek": {belongsTo: {type: "Onderzoek", options: {async: true}}}}},
		{ singular: "Eenheid", plural: locale("Eenheid.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "ExMonsterverpakking", plural: locale("ExMonsterverpakking.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Fase", plural: locale("Fase.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Fles", plural: locale("Fles.plural"), relations: {"veldmonster": {belongsTo: {type: "Veldmonster", options: {async: true}}}}},
		{ singular: "Foto", plural: locale("Foto.plural"), relations: {"onderzoek": {belongsTo: {type: "Onderzoek", options: {async: true}}}}},
		{ singular: "Geur", plural: locale("Geur.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "GeurWaarneming", plural: locale("GeurWaarneming.plural"), relations: {"geur": {belongsTo: {type: "Geur", options: {async: true}}},"intensiteit": {belongsTo: {type: "Geurint", options: {async: true}}}}},
		{ singular: "Geurint", plural: locale("Geurint.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Grind", plural: locale("Grind.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Grondsoort", plural: locale("Grondsoort.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "GrondsoortMatrix", plural: locale("GrondsoortMatrix.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}},"grind": {belongsTo: {type: "Grind", options: {async: true}}},"grondsoort": {belongsTo: {type: "Grondsoort", options: {async: true}}},"humus": {belongsTo: {type: "Humus", options: {async: true}}},"lutum": {belongsTo: {type: "Lutum", options: {async: true}}},"mediaan": {belongsTo: {type: "Mediaan", options: {async: true}}}}},
		{ singular: "GrondwaterMonitor", plural: locale("GrondwaterMonitor.plural"), relations: {"analyseresultaat": {belongsTo: {type: "AnalyseResultaat", options: {async: true}}},"next": {belongsTo: {type: "GrondwaterMonitor", options: {async: true}}},"previous": {belongsTo: {type: "GrondwaterMonitor", options: {async: true}}},"watermonster": {belongsTo: {type: "Watermonster", options: {async: true}}}}},
		{ singular: "GrondwaterMonitorSignalering", plural: locale("GrondwaterMonitorSignalering.plural"), relations: {"filter": {belongsTo: {type: "MeetpuntFilter", options: {async: true}}},"meetpunt": {belongsTo: {type: "Meetpunt", options: {async: true}}},"watermonster": {belongsTo: {type: "Watermonster", options: {async: true}}},"lovcomponent": {belongsTo: {type: "Lovcomponent", options: {async: true}}}}},
		{ singular: "Hoedanigheid", plural: locale("Hoedanigheid.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Humus", plural: locale("Humus.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Kenmerk", plural: locale("Kenmerk.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Klant", plural: locale("Klant.plural"), relations: {"bedrijf": {belongsTo: {type: "Bedrijf", options: {async: true}}},"contactPersonen": {hasMany: {type: "ContactPersoon", options: {async: true}}}}},
		{ singular: "Kleur", plural: locale("Kleur.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Kleurint", plural: locale("Kleurint.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Koppeling", plural: locale("Koppeling.plural"), relations: {"afspraak": {belongsTo: {type: "Afspraak", options: {async: true}}},"analysepakket": {belongsTo: {type: "AnalysePakket", options: {async: true}}},"categorie": {belongsTo: {type: "Categorie", options: {async: true}}},"debiteur": {belongsTo: {type: "Debiteur", options: {async: true}}},"labaanlevering": {belongsTo: {type: "Labaanlevering", options: {async: true}}},"monstersoort": {belongsTo: {type: "Monstersoort", options: {async: true}}}}},
		{ singular: "Laagsoort", plural: locale("Laagsoort.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Lab", plural: locale("Lab.plural")},
		{ singular: "LabAnalysemonster", plural: locale("LabAnalysemonster.plural"), relations: {"analysemonster": {belongsTo: {type: "Analysemonster", options: {async: true}}},"analyseresultaten": {hasMany: {type: "AnalyseResultaat", options: {async: true}}},"labresultaat": {belongsTo: {type: "Labresultaat", options: {async: true}}},"monstersoort": {belongsTo: {type: "Monstersoort", options: {async: true}}}}},
		{ singular: "LabKoppeling", plural: locale("LabKoppeling.plural"), relations: {"lab": {belongsTo: {type: "Lab", options: {async: true}}}}},
		{ singular: "Labaanlevering", plural: locale("Labaanlevering.plural"), relations: {"afspraken": {hasMany: {type: "Afspraak", options: {async: true}}},"analysepakketten": {hasMany: {type: "AnalysePakket", options: {async: true}}},"bedrijflab": {belongsTo: {type: "BedrijfLab", options: {async: true}}},"categorieen": {hasMany: {type: "Categorie", options: {async: true}}},"debiteuren": {hasMany: {type: "Debiteur", options: {async: true}}},"koppelingen": {hasMany: {type: "Koppeling", options: {async: true}}},"urgenties": {hasMany: {type: "Urgentie", options: {async: true}}}}},
		{ singular: "Labopdracht", plural: locale("Labopdracht.plural"), relations: {"aangemaakt": {belongsTo: {type: "Account", options: {async: true}}},"afspraak": {belongsTo: {type: "Afspraak", options: {async: true}}},"analysemonsters": {hasMany: {type: "Analysemonster", options: {async: true}}},"bedrijflab": {belongsTo: {type: "BedrijfLab", options: {async: true}}},"certificering": {belongsTo: {type: "Lovcertificering", options: {async: true}}},"debiteur": {belongsTo: {type: "Debiteur", options: {async: true}}},"labaanlevering": {belongsTo: {type: "Labaanlevering", options: {async: true}}},"monstersoort": {belongsTo: {type: "Monstersoort", options: {async: true}}},"onderzoek": {belongsTo: {type: "Onderzoek", options: {async: true}}},"resultaten": {hasMany: {type: "Labresultaat", options: {async: true}}},"statusChanges": {hasMany: {type: "LabopdrachtStatusChange", options: {async: true}}},"urgentie": {belongsTo: {type: "Urgentie", options: {async: true}}},"veldmatrix": {belongsTo: {type: "Veldmatrix", options: {async: true}}}}},
		{ singular: "LabopdrachtStatusChange", plural: locale("LabopdrachtStatusChange.plural"), relations: {"labopdracht": {belongsTo: {type: "Labopdracht", options: {async: true}}}}},
		{ singular: "Labresultaat", plural: locale("Labresultaat.plural"), relations: {"analysemonsters": {hasMany: {type: "LabAnalysemonster", options: {async: true}}},"labopdracht": {belongsTo: {type: "Labopdracht", options: {async: true}}},"onderzoek": {belongsTo: {type: "Onderzoek", options: {async: true}}}}},
		{ singular: "Lovcertificering", plural: locale("Lovcertificering.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Lovcomponent", plural: locale("Lovcomponent.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Loveenheid", plural: locale("Loveenheid.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Lovreferentie", plural: locale("Lovreferentie.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Lutum", plural: locale("Lutum.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Materiaalaanv", plural: locale("Materiaalaanv.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Materiaalafd", plural: locale("Materiaalafd.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Mediaan", plural: locale("Mediaan.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Meetpunt", plural: locale("Meetpunt.plural"), relations: {"afwerkingen": {hasMany: {type: "MeetpuntAfwerking", options: {async: true}}},"apparaat": {belongsTo: {type: "Boorapparaat", options: {async: true}}},"bodemlagen": {hasMany: {type: "Bodemlaag", options: {async: true}}},"bodemmonsters": {hasMany: {type: "Bodemmonster", options: {async: true}}},"casingen": {hasMany: {type: "Casing", options: {async: true}}},"filters": {hasMany: {type: "MeetpuntFilter", options: {async: true}}},"onderzoek": {belongsTo: {type: "Onderzoek", options: {async: true}}},"situatiebeschrijving": {belongsTo: {type: "Situatiebeschrijving", options: {async: true}}},"tov": {belongsTo: {type: "Referentietype", options: {async: true}}},"type": {belongsTo: {type: "MeetpuntType", options: {async: true}}}}},
		{ singular: "MeetpuntAfwerking", plural: locale("MeetpuntAfwerking.plural"), relations: {"aanvullingsoort": {belongsTo: {type: "Materiaalaanv", options: {async: true}}},"afdichtingsoort": {belongsTo: {type: "Materiaalafd", options: {async: true}}},"afwerkingsoort": {belongsTo: {type: "Afwerking", options: {async: true}}},"meetpunt": {belongsTo: {type: "Meetpunt", options: {async: true}}}}},
		{ singular: "MeetpuntFilter", plural: locale("MeetpuntFilter.plural"), relations: {"meetpunt": {belongsTo: {type: "Meetpunt", options: {async: true}}},"watermonsters": {hasMany: {type: "Watermonster", options: {async: true}}}}},
		{ singular: "MeetpuntType", plural: locale("MeetpuntType.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Monstersoort", plural: locale("Monstersoort.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Norm", plural: locale("Norm.plural"), relations: {"parameters": {hasMany: {type: "ParameterNorm", options: {async: true}}}}},
		{ singular: "Oliewatermate", plural: locale("Oliewatermate.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Onderzoek", plural: locale("Onderzoek.plural"), relations: {"aanleiding": {belongsTo: {type: "Aanleiding", options: {async: true}}},"adres": {belongsTo: {type: "Adres", options: {async: true}}},"asbest": {belongsTo: {type: "Asbest", options: {async: true}}},"bedrijf": {belongsTo: {type: "Bedrijf", options: {async: true}}},"documenten": {hasMany: {type: "Document", options: {async: true}}},"fase": {belongsTo: {type: "Fase", options: {async: true}}},"fotos": {hasMany: {type: "Foto", options: {async: true}}},"grondwatermonitor": {hasMany: {type: "OnderzoekGrondwaterMonitor", options: {async: true}}},"signaleringen": {hasMany: {type: "GrondwaterMonitorSignalering", options: {async: true}}},"imports": {hasMany: {type: "OnderzoekImport", options: {async: true}}},"klant": {belongsTo: {type: "Klant", options: {async: true}}},"labopdrachten": {hasMany: {type: "Labopdracht", options: {async: true}}},"labresultaten": {hasMany: {type: "Labresultaat", options: {async: true}}},"meetpunten": {hasMany: {type: "Meetpunt", options: {async: true}}},"norm": {belongsTo: {type: "Norm", options: {async: true}}},"prijslijst": {belongsTo: {type: "Prijslijst", options: {async: true}}},"projectleider": {belongsTo: {type: "Account", options: {async: true}}},"tank": {belongsTo: {type: "Tank", options: {async: true}}},"type": {belongsTo: {type: "Ondtype", options: {async: true}}},"verbruiksArtikelen": {hasMany: {type: "VerbruiksArtikel", options: {async: true}}},"vervolg_oordeel": {belongsTo: {type: "Vervolg", options: {async: true}}}}},
		{ singular: "OnderzoekGrondwaterMonitor", plural: locale("OnderzoekGrondwaterMonitor.plural")},
		{ singular: "OnderzoekImport", plural: locale("OnderzoekImport.plural"), relations: {"account": {belongsTo: {type: "Account", options: {async: true}}},"onderzoek": {belongsTo: {type: "Onderzoek", options: {async: true}}}}},
		{ singular: "Ondtype", plural: locale("Ondtype.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Oorsprong", plural: locale("Oorsprong.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "ParameterNorm", plural: locale("ParameterNorm.plural"), relations: {"component": {belongsTo: {type: "Lovcomponent", options: {async: true}}},"norm": {belongsTo: {type: "Norm", options: {async: true}}}}},
		{ singular: "Prijslijst", plural: locale("Prijslijst.plural"), relations: {"artikelen": {hasMany: {type: "PrijslijstArtikel", options: {async: true}}},"bedrijf": {belongsTo: {type: "Bedrijf", options: {async: true}}}}},
		{ singular: "PrijslijstArtikel", plural: locale("PrijslijstArtikel.plural"), relations: {"artikel": {belongsTo: {type: "Artikel", options: {async: true}}},"prijslijst": {belongsTo: {type: "Prijslijst", options: {async: true}}}}},
		{ singular: "Referentietype", plural: locale("Referentietype.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "RegistratieExpressie", plural: locale("RegistratieExpressie.plural"), relations: {"bedrijf": {belongsTo: {type: "Bedrijf", options: {async: true}}}}},
		{ singular: "Request", plural: locale("Request.plural"), relations: {"sessie": {belongsTo: {type: "Sessie", options: {async: true}}}}},
		{ singular: "Schuifsterkte", plural: locale("Schuifsterkte.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Sessie", plural: locale("Sessie.plural"), relations: {"account": {belongsTo: {type: "Account", options: {async: true}}},"requests": {hasMany: {type: "Request", options: {async: true}}}}},
		{ singular: "Situatiebeschrijving", plural: locale("Situatiebeschrijving.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Steensoort", plural: locale("Steensoort.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Tank", plural: locale("Tank.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Urgentie", plural: locale("Urgentie.plural"), relations: {"labaanlevering": {belongsTo: {type: "Labaanlevering", options: {async: true}}}}},
		{ singular: "Veldmatrix", plural: locale("Veldmatrix.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Veldmonster", plural: locale("Veldmonster.plural"), relations: {"matrix": {belongsTo: {type: "Veldmatrix", options: {async: true}}},"veldwaarnemingen": {hasMany: {type: "Veldwaarneming", options: {async: true}}}}},
		{ singular: "Veldwaarneming", plural: locale("Veldwaarneming.plural"), relations: {"eenheid": {belongsTo: {type: "Eenheid", options: {async: true}}},"hoedanigheid": {belongsTo: {type: "Hoedanigheid", options: {async: true}}},"type": {belongsTo: {type: "VeldwaarnemingType", options: {async: true}}},"veldmonster": {belongsTo: {type: "Veldmonster", options: {async: true}}}}},
		{ singular: "VeldwaarnemingType", plural: locale("VeldwaarnemingType.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "VerbruiksArtikel", plural: locale("VerbruiksArtikel.plural"), relations: {"onderzoek": {belongsTo: {type: "Onderzoek", options: {async: true}}},"prijslijstartikel": {belongsTo: {type: "PrijslijstArtikel", options: {async: true}}}}},
		{ singular: "Vervolg", plural: locale("Vervolg.plural"), relations: {"coderingSet": {hasMany: {type: "CoderingSet", options: {async: true}}},"exportValues": {hasMany: {type: "CoderingExportValue", options: {async: true}}}}},
		{ singular: "Watermonster", plural: locale("Watermonster.plural"), relations: {"ex_referentie_gws": {belongsTo: {type: "Referentietype", options: {async: true}}},"filter": {belongsTo: {type: "MeetpuntFilter", options: {async: true}}},"flessen": {hasMany: {type: "Fles", options: {async: true}}},"grondwatermonitoring": {hasMany: {type: "GrondwaterMonitor", options: {async: true}}},"matrix": {belongsTo: {type: "Veldmatrix", options: {async: true}}},"veldwaarnemingen": {hasMany: {type: "Veldwaarneming", options: {async: true}}}}}
	]);
	return db;
});