define(function(require) {
	
	require("font-awesome");
	
	var leaflet = require("leaflet");
	var awesome_markers = require("leaflet/plugins/awesome-markers");
	var icons = require("veldoffice/Meetpunt/type/icons");
	var DateUtil = require("veldoffice/util/Date");
	
/*-
	tuple = {
		@icon
		@title
		onderzoek
		id
		icon
		code
		type
		boormeester
	};
*/
    L.AwesomeMarkers.Icon.prototype.options.prefix = "fa";
    
    var MeetpuntMarker = L.Marker.extend({
        _initIcon: function() {
            var r = L.Marker.prototype._initIcon.apply(this, arguments);
            this._icon.querySelector("i").innerHTML = 
                "<div class='marker-code'>" + 
                this.options.meetpunt.code + "</div>";
            return r;
        },
        toGeoJSON: function() {
        	var r = L.Marker.prototype.toGeoJSON.apply(this, arguments);
        	r.properties["veldoffice:Meetpunt"] = this.options.meetpunt;
        	return r;
        }
    });
    
    
    MeetpuntMarker.create = function(vars, meetpunt, latlng) {
    	const defaultIcon = MeetpuntMarker.icons.byType[2377];
    	
    	if(!meetpunt.icon) {
    		meetpunt.icon = MeetpuntMarker.icons.byType[js.get("type.id", meetpunt)] || defaultIcon;
    	}
	    
	    var marker = new MeetpuntMarker(latlng, {
	        icon: meetpunt.$$icon || meetpunt.icon, // downwards compatible still needed?
	        meetpunt: meetpunt,
	        riseOnHover: true,
	        // draggable: true, 
	        title: meetpunt.$$title || meetpunt.title // downwards compatible still needed?
	    });

	    return marker;
    };
    
    MeetpuntMarker.icons = icons;
    
    return MeetpuntMarker;
});