// console.warn("so NOT DEPRECATED, FIX using veldoffice.nl/leaflet/Map instead");
define(function(require) {

    // var def = '+proj=sterea +lat_0=52.15616055555555 +lon_0=5.38763888888889 +k=0.9999079 +x_0=155000 +y_0=463000 +ellps=bessel +towgs84=565.4171,50.3319,465.5524,-0.398957,0.343988,-1.87740,4.0725 +units=m +no_defs';
    
    // var org = '+proj=sterea +lat_0=52.15616055555555 +lon_0=5.38763888888889 +k=0.9999079 +x_0=155000 +y_0=463000 +ellps=bessel +units=m +towgs84=565.2369,50.0087,465.658,-0.406857330322398,0.350732676542563,-1.8703473836068,4.0812 +no_defs';

	
	require("leaflet");
	require("leaflet/plugins/proj4");
	require("leaflet/plugins/markercluster");
	var LayerFactory = require("leaflet/layers/28992");
	
	var epsg28992 = require("epsg/28992");
	var proj4 = require("proj4");
	
	var LeafletUtil = {
		RD: (function() {
			
			var def = proj4.defs("EPSG:28992");			

			// Definitie Rijksdriehoekstelsel (EPSG:28992)
			return new L.Proj.CRS( 'EPSG:28992', window.RD_def || def,
			    {
					resolutions: [3440.640, 1720.320, 860.160, 430.080, 215.040, 107.520, 53.760, 26.880, 13.440, 6.720, 3.360, 1.680, 0.840, 0.420, 0.210, 0.105, 0.0525, 0.02625],
			        bounds: L.bounds([-285401.92, 22598.08], [595401.9199999999, 903401.9199999999]),
			        origin: [-285401.92, 22598.08]
			    }
			);
		}()),
		
		createMap: function(root, mapNode, mapOptions, options) {
			if(mapOptions === undefined) { mapOptions = { crs: 28992 }; }
			if(mapOptions.crs === 28992) {
				mapOptions.crs = LeafletUtil.RD;
			} else {
				delete mapOptions.crs;
			}
			mapOptions = js.mixIn({
        		zoomControl: !("ontouchstart" in window),
        		attributionControl: false,
         		center: [52, 5.3],
        		zoom: 2,
        		preferCanvas: !true
        	}, mapOptions || {});
		        	
	        var scope = root.getScope();
	        var vars = root.mixInVars({
			    "map": L.map(mapNode || scope['map-panel'].getChildNode(0), mapOptions),
	            "epsg28992": new proj4.Proj("EPSG:28992"),
	            "wgs84": new proj4.Proj("WGS84"),
	            "markers": new L.MarkerClusterGroup({
	    			maxClusterRadius: 10,
	    			disableClusteringAtZoom: 15
	    		})
			});
			
			options = options || {};
			var background, overlays, k;
			var layers = options.layers || { 
				openbasiskaart: LayerFactory.openbasiskaart(), 
				lufo: LayerFactory.luchtfoto(),
				klic_contouren: LayerFactory.gwklic_contouren(),
				klic_leidingen: LayerFactory.gwklic_k_en_l(),
				brtachtergrondkaart: LayerFactory.brtachtergrondkaart(),
				kk: LayerFactory.kadastralekaart(),
				omtrek: LayerFactory.bgtomtrekgericht()
			};
			
			if(options.layers) {
				for(k in layers) {
					vars.map.addLayer(layers[k]);
				}

				background = options.background;
				overlays = options.overlays;
				
			} else {
		    	vars.map.addLayer(layers.openbasiskaart);
		    	// vars.map.addLayer(layers.lufo);
		    	// vars.map.addLayer(layers.brtachtergrondkaart);
		    	vars.map.addLayer(layers.omtrek);
		    	vars.map.addLayer(layers.kk);
		    	vars.map.addLayer(vars.markers);
		    	vars.map.addLayer(layers.klic_contouren); 
		    	vars.map.addLayer(layers.klic_leidingen); 
	
		        background = {
		        	Openbasiskaart: layers.openbasiskaart,
		        	Luchtfoto: layers.lufo,
		        	BRT: layers.brtachtergrondkaart
		        };
		        overlays = {
		        	'Kadastrale kaart': layers.kk, 
		        	'BGT Omtrekgericht': layers.omtrek,
		        	'KLIC contouren': layers.klic_contouren,
		        	'KLIC leidingen': layers.klic_leidingen
		        };
			}
	    	
	        if(options.markers_label) {
	        	overlays[options.markers_label || 'Markers'] = vars.markers;
	        }
	
	        L.control.layers(background, overlays).addTo(vars.map);
	        L.control.scale({ imperial: false }).addTo(vars.map);
			
			options.emit !== false && root.emit("map-ready", []);

			return vars.map;
		},
		
		// pdok: function() {
		// 	return LayerFactory.brtachtergrondkaart();
		// 	// Gebruik BRT-Achtergrondkaart van PDOK:
		// 	// return new L.TileLayer('http://geodata.nationaalgeoregister.nl
		// 	// /tms/1.0.0/brtachtergrondkaart/{z}/{x}/{y}.png', {
		// 	// //     minZoom: 0,
		// 	// //     maxZoom: 28,
		// 	// //     tms: true,
		// 	// //     attribution: 'Map data: <a href="http://www.kadaster.nl">Kadaster</a>',
		// 	// //     errorTileUrl: 'http://www.webmapper.net/theme/img/missing-tile.png', // plaatje als tegels niet worden gevonden...
		// 	// // });
		// },
		// pdok_omtrekgericht: function() {
		// 	// Gebruik BRT-Achtergrondkaart van PDOK:
		// 	return new L.TileLayer('http://geodata.nationaalgeoregister.nl/tms/1.0.0/bgtomtrekgericht@EPSG:28992:16@png/{z}/{x}/{y}.png', {
		// 		//http://geodata.nationaalgeoregister.nl/tms/1.0.0/bgtomtrekgericht@EPSG:28992:16@png8/14/8191/8190.png8
		// 	    minZoom: 0,
		// 	    maxZoom: 28,
		// 	    tms: true,
		// 	    transparent: true,
		// 	    attribution: 'Map data: <a href="http://www.kadaster.nl">Kadaster</a>',
		// 	    errorTileUrl: 'http://www.webmapper.net/theme/img/missing-tile.png', // plaatje als tegels niet worden gevonden...
		// 	});
		// },
		// osm: function() {
		// 	var tile = "http://tile.openstreetmap.org/{z}/{x}/{y}.png";
		// 	return new L.TileLayer(tile, {
		// 		detectRetina: false,
		// 		maxZoom: 28,
		//         attribution: ""//Map data &copy; 2012 OpenStreetMap contributors"
		// 	});
		// },
		// openbasiskaart: function() {
		//     return new L.TileLayer("http://www.openbasiskaart.nl/" + 
		//         "mapcache/tms/1.0.0/osm@rd/{z}/{x}/{y}.png", {
		// 			detectRetina: false,
		//             tms: true,
		//             minZoom: 0,
		//             maxZoom: 14,
		//             continuousWorld: true
		//     });
		// },
		// kk: function() {
		//     var url = "http://geodata.nationaalgeoregister.nl/kadastralekaartv2/wms";
		//     return new L.TileLayer.WMS(url, {
		// 		detectRetina: false,
		//         format: "image/png",
		//         transparent: true,
		//         // layers: "kadastralekaart,annotatie,perceelnummer"
		//         layers: "kadastralekaart"
		//     });
		// }
	};
	
	return LeafletUtil;
	
});